Bug 31464 - %m in printf is not handled.
Summary: %m in printf is not handled.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Erik Troan
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-11 23:27 UTC by hjl
Modified: 2007-04-18 16:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-17 20:05:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch for %m (1.10 KB, patch)
2001-03-11 23:28 UTC, hjl
no flags Details | Diff

Description hjl 2001-03-11 23:27:56 UTC
%m in printf is not handled. Loader uses it.
I will post a patch.

Comment 1 hjl 2001-03-11 23:28:31 UTC
Created attachment 12384 [details]
A patch for %m

Comment 2 Glen Foster 2001-03-12 19:40:59 UTC
This defect considered MUST-FIX (show-stopper) for Florence Gold

Comment 3 Erik Troan 2001-03-12 21:36:21 UTC
This is hardly a show stopper. It causes %m to appear in some logs instead of
"localhost".


Comment 4 Glen Foster 2001-03-12 22:38:06 UTC
Take it up with Mike Fulbright (he made the call) and leave qa-whiteboard alone,
please.

Comment 5 Michael Fulbright 2001-03-12 22:39:47 UTC
ewt it has a patch - just need you to say if its ok or not.

Comment 6 Erik Troan 2001-03-13 00:14:24 UTC
I don't like the patch -- I'd rather remove the %m's whereever possible to save
code space. It doesn't need to be done for this release though, as it doesn't
actually cause any problems.

I'll let you and Glen sort it out.


Note You need to log in before you can comment on or make changes to this bug.